Package ghidra.app.util.viewer.format.actions

# Class AddAllFieldAction

java.lang.Object
docking.action.DockingAction
ghidra.app.util.viewer.format.actions.AddAllFieldAction

All Implemented Interfaces:
  `DockingActionIf`, `HelpDescriptor`

public class AddAllFieldAction extends DockingAction
Action for adding all fields to the current format.

- ## Field Summary

  ### Fields inherited from interface docking.action.DockingActionIf

  `DESCRIPTION_PROPERTY, ENABLEMENT_PROPERTY, GLOBALCONTEXT_PROPERTY, KEYBINDING_DATA_PROPERTY, MENUBAR_DATA_PROPERTY, POPUP_MENU_DATA_PROPERTY, TOOLBAR_DATA_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddAllFieldAction(String owner, FieldHeader panel)`
  Constructor takes the CodeBrowserPlugin that created it and the header component so that it can be repainted when fields are added.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionContext context)`
  Method called when the action is invoked.
  `boolean`
  `isEnabledForContext(ActionContext context)`
  Method used to determine if this action should be enabled for the given context.
  `boolean`
  `isValidContext(ActionContext context)`
  Method that actions implement to indicate if this action is valid (knows how to work with, is appropriate for) for the given context.

  ### Methods inherited from class docking.action.DockingAction

  `addPropertyChangeListener, addToWindowWhen, createButton, createMenuItem, dispose, doCreateButton, doCreateMenuItem, enabledWhen, firePropertyChanged, getContextClass, getDefaultKeyBindingData, getDescription, getFullName, getHelpInfo, getHelpLocation, getHelpObject, getInceptionFromTheFirstClassThatIsNotUsOrABuilder, getInceptionInformation, getKeyBinding, getKeyBindingData, getKeyBindingType, getMenuBarData, getName, getOwner, getPopupMenuData, getPreferredKeyBindingType, getToolBarData, isAddToPopup, isEnabled, markHelpUnnecessary, popupWhen, removePropertyChangeListener, setAddToAllWindows, setContextClass, setDescription, setEnabled, setHelpLocation, setKeyBindingData, setMenuBarData, setPopupMenuData, setToolBarData, setUnvalidatedKeyBindingData, shouldAddToWindow, supportsDefaultContext, toString, validContextWhen`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.action.DockingActionIf

  `createMenuComponent, getOwnerDescription`

- ## Constructor Details

  - ### AddAllFieldAction

    public AddAllFieldAction(String owner, FieldHeader panel)
    Constructor takes the CodeBrowserPlugin that created it and the header component so that it can be repainted when fields are added.
    Parameters:
      `owner` - the action owner
      `panel` - the listing panel.

- ## Method Details

  - ### isEnabledForContext

    public boolean isEnabledForContext(ActionContext context)
    Description copied from interface: `DockingActionIf`
    Method used to determine if this action should be enabled for the given context.

    This is the method implementors override to control when the action may be used.

    This method will be called by the DockingWindowManager for actions on the global menuBar and toolBar and for actions that have a keyBinding.

    This method will be called whenever one of the following events occur:

    1. when the user invokes the action via its keyBinding,
    2. the user changes focus from one component provider to another,
    3. the user moves a component to another position in the window or into another window,
    4. a component provider reports a change in it's context,
    5. any plugin or software component reports a general change in context (calls the tool.contextChanged(ComponentProvider) with a null parameter).
    The default implementation will simply return this action's enablement state.
    Specified by:
      `isEnabledForContext` in interface `DockingActionIf`
    Overrides:
      `isEnabledForContext` in class `DockingAction`
    Parameters:
      `context` - the current `ActionContext` for the window.
    Returns:
      true if the action should be enabled for the context or false otherwise.

  - ### isValidContext

    public boolean isValidContext(ActionContext context)
    Description copied from interface: `DockingActionIf`
    Method that actions implement to indicate if this action is valid (knows how to work with, is appropriate for) for the given context. This method is used to determine if the action should be enabled based on the either the local context or the global context. The action is first asked if it is valid for the local context and if not, then it is asked if it is valid for the global context. If a context is valid, then it will then be asked if it is enabled for that context.
    Specified by:
      `isValidContext` in interface `DockingActionIf`
    Overrides:
      `isValidContext` in class `DockingAction`
    Parameters:
      `context` - the `ActionContext` from the active provider.
    Returns:
      true if this action is appropriate for the given context.

  - ### actionPerformed

    public void actionPerformed(ActionContext context)
    Method called when the action is invoked.
    Specified by:
      `actionPerformed` in interface `DockingActionIf`
    Specified by:
      `actionPerformed` in class `DockingAction`
    Parameters:
      `context` - the `ActionContext` object that provides information about where and how this action was invoked.